- Qt 6.8
- Qt Quick Test
- Obsolete Members for QQuickTest
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QQuickTest

The following members of class QQuickTest are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(deprecated in 6.4)` bool | qWaitForItemPolished(const QQuickItem *item, int timeout = defaultTimeout)

## Function Documentation

### `[deprecated in 6.4]` bool QQuickTest::qWaitForItemPolished(const QQuickItem *item, int timeout = defaultTimeout)

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use qWaitForPolish() instead.

Waits for timeout milliseconds or until updatePolish() has been called on item.

Returns `true` if `updatePolish()` was called on item within timeout milliseconds, otherwise returns `false`.

The QML equivalent of this function is waitForItemPolished().

See also QQuickItem::polish(), QQuickItem::updatePolish(), and QQuickTest::qIsPolishScheduled().